Package org.jbpm.services.task.impl.model.xml

## Class JaxbComment

- java.lang.Object
- - org.jbpm.services.task.impl.model.xml.JaxbComment

- All Implemented Interfaces:
    `Externalizable`, `Serializable`, `org.kie.api.task.model.Comment`

      public class JaxbComment
      extends Object
      implements org.kie.api.task.model.Comment

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JaxbComment()` |
    `JaxbComment​(String userId, Date commentDate, String commentText)` |
    `JaxbComment​(org.kie.api.task.model.Comment comment)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Date` | `getAddedAt()` |
    `org.kie.api.task.model.User` | `getAddedBy()` |
    `String` | `getAddedById()` |
    `Long` | `getId()` |
    `String` | `getText()` |
    `protected void` | `initialize​(org.kie.api.task.model.Comment comment)` |
    `void` | `readExternal​(ObjectInput in)` |
    `void` | `setAddedAt​(Date commentDate)` |
    `void` | `writeExternal​(ObjectOutput out)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JaxbComment

          public JaxbComment()

    - #### JaxbComment

          public JaxbComment​(org.kie.api.task.model.Comment comment)

    - #### JaxbComment

          public JaxbComment​(String userId,
                             Date commentDate,
                             String commentText)

  - ### Method Detail

    - #### initialize

          protected void initialize​(org.kie.api.task.model.Comment comment)

    - #### getId

          public Long getId()

      Specified by:
        `getId` in interface `org.kie.api.task.model.Comment`

    - #### getText

          public String getText()

      Specified by:
        `getText` in interface `org.kie.api.task.model.Comment`

    - #### getAddedBy

          public org.kie.api.task.model.User getAddedBy()

      Specified by:
        `getAddedBy` in interface `org.kie.api.task.model.Comment`

    - #### getAddedById

          public String getAddedById()

    - #### getAddedAt

          public Date getAddedAt()

      Specified by:
        `getAddedAt` in interface `org.kie.api.task.model.Comment`

    - #### setAddedAt

          public void setAddedAt​(Date commentDate)

    - #### writeExternal

          public void writeExternal​(ObjectOutput out)
                             throws IOException

      Specified by:
        `writeExternal` in interface `Externalizable`
      Throws:
        `IOException`

    - #### readExternal

          public void readExternal​(ObjectInput in)
                            throws IOException,
                                   ClassNotFoundException

      Specified by:
        `readExternal` in interface `Externalizable`
      Throws:
        `IOException`
        `ClassNotFoundException`